Quassel IRC - Bug #546

New nick autocreation doesn't work
02/12/2009 07:27 AM - kitterma

Status: Resolved Start date: 02/12/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

| updated to the Feb 11 snapshot. Purged the system and deleted the quassel dir in .config. The new identity | got had the correct
real name, but the nick was still quassel###. | deleted, tried again, and got a quassel### with a different number, so | know it wasn't
just something old hanging around.

Associated revisions

Revision 734f29b6efd9aaea6347c¢2f27f4095a399168e61 - 02/15/2009 08:17 PM - Manuel Nickschas

Get user name from getpwuid, fixes #546

Revision 734129b6 - 02/15/2009 08:17 PM - Manuel Nickschas

Get user name from getpwuid, fixes #546

History

#1 - 02/12/2009 10:46 AM - Sputnick

Uh, judging from the code, this could only be happening if the POSIX call getlogin() returned an empty string on your box (which frankly | find hard to
believe). Any way to test/confirm that?

#2 - 02/12/2009 01:10 PM - kitterma
Perhaps. Using Python (sorry, don't do C++), | found three potential ways to get my login. Two worked:

print os.environ['LOGNAME!]

kitterma

print pwd.getpwuid(os.getuid())[0]

kitterma

print os.getlogin()

Traceback (most recent call last):

File "<stdin>", line 1, in <module>

OSError: [Errno 2] No such file or directory

The Python documentation recommends using the environment variable LOGNAME for this:

http://docs.python.org/library/os.html#module-os

#3 - 02/12/2009 01:19 PM - Sputnick
- Status changed from New to Assigned

- Assignee set to Sputnick
http://docs.python.org/library/os.html#module-os

- Target version set to 0.4.0

Wow. And here | was, thinking that any Linux system should implement POSIX at least... very strange. Would be interesting to know where that
comes from (or if it's maybe just a py issue? But the facts seem to indicate that this call is indeed missing...)

Could you please check if you have a manpage for that?
man 3 getlogin
If | can't assume full POSIX to be present on all Linux systems, | will at least add a fallback, but first I'd like to get to the root of this issue.

#4 - 02/12/2009 01:24 PM - Sputnick

Thinking about that, the C syscall must be there (otherwise compilation would fail), but why it returns an empty string on kubuntu is beyond me :/
#5 - 02/12/2009 01:30 PM - kitterma
Works on a different box (also Ubuntu Intrepid):

print os.getlogin()
kitterma

No idea why.
#6 - 02/15/2009 08:18 PM - Sputnick

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 734f29b6efd9aaea6347c2f27f4095a399168e61.

07/19/2025 22


https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/734f29b6efd9aaea6347c2f27f4095a399168e61
http://www.tcpdf.org

